import { defineStore } from "pinia";
import { Budget, useSessionStore } from "./session";

interface State {
    CurrentBudgetID: string | null,
}

export const useBudgetsStore = defineStore('budget', {
    state: (): State => ({
      CurrentBudgetID: null  
    }),
    actions: {
        setCurrentBudgetID(budgetid : string) {
            this.CurrentBudgetID = budgetid;
        },
    },
    getters: {
        CurrentBudget() : Budget | undefined {
            if (this.CurrentBudgetID == null)
                return undefined;

            const sessionStore = useSessionStore();
            return sessionStore.Budgets.get(this.CurrentBudgetID);
        },
        CurrentBudgetName(state) : string {
            return this.CurrentBudget?.Name ?? "";
        },
        CurrentBudgetID() : string | undefined {
            return this.CurrentBudgetID;
        },
    }
})