import { defineStore } from "pinia";

interface State {
    ShowMenu?: boolean,
    ExpandMenu?: boolean,
}

export const useSettingsStore = defineStore('settings', {
    state: (): State => ({
        ShowMenu: undefined,
        ExpandMenu: false,
    }),
    actions: {
        toggleMenu() {
            this.ShowMenu = !this.ShowMenu;
        },
        toggleMenuSize() {
            this.ExpandMenu = !this.ExpandMenu;
        },
    }
});